incroncfg.cpp(3)

NAME
incroncfg.cpp -

inotify cron configuration implementation

SYNOPSIS

#include <fstream>
#include <sstream>
#include <cstring>
#include 'incroncfg.h'

  Defines
#define INCRON_CFG_DEFAULT '/etc/incron.conf'

  Typedefs
typedef std::map< std::string,
std::string > CFG_MAP"
typedef CFG_MAP::iterator CFG_ITER

Detailed Description

inotify cron configuration implementation incron configuration

Copyright (C) 2007, 2008, 2012 Lukas Jelinek, <lukas@aiken.cz>

This program is free software; you can use it, redistribute it and/or modify it under the terms of the GNU General Public License, version 2 (see LICENSE-GPL)'.

Credits: Christian Ruppert (new include to build with GCC 4'.4+)

Define Documentation

  #define INCRON_CFG_DEFAULT '/etc/incron.conf'

Typedef Documentation

  typedef CFG_MAP::iterator CFG_ITER

  typedef std::map<std::string, std::string> CFG_MAP

Author

Generated automatically by Doxygen for incron from the source code'.